import request from "@/common/request";

export default {
  cartAdd(data: any) {
    return request({
      url: "/api/cart/add",
      method: 'POST',
      data,
    });
  },
  cartList(data: any) {
    return request({
      url: "/api/cart/list",
      data,
    });
  },
  cartRemove(data: any) {
    return request({
      url: "/api/cart/remove",
      method: 'POST',
      data,
    });
  },
  cartCount() {
    return request({
      url: "/api/cart/count",
    });
  },
  cartCheck(data: any) {
    return request({
      url: "/api/cart/check",
      method: 'POST',
      data
    });
  },
  cartSettle(data: any) {
    return request({
      url: "/api/cart/settle",
      method: 'POST',
      data
    });
  },
  cartModify(data: any) {
    return request({
      url: "/api/cart/modify",
      method: 'POST',
      data
    });
  },
};
